summaryrefslogtreecommitdiffstats
path: root/source/l/polkit-qt-1
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/polkit-qt-1')
-rwxr-xr-xsource/l/polkit-qt-1/polkit-qt-1.SlackBuild24
-rw-r--r--source/l/polkit-qt-1/slack-desc8
2 files changed, 20 insertions, 12 deletions
diff --git a/source/l/polkit-qt-1/polkit-qt-1.SlackBuild b/source/l/polkit-qt-1/polkit-qt-1.SlackBuild
index 92e218ea2..067d74915 100755
--- a/source/l/polkit-qt-1/polkit-qt-1.SlackBuild
+++ b/source/l/polkit-qt-1/polkit-qt-1.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011, 2012, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=polkit-qt-1
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
@@ -31,7 +32,7 @@ NUMJOBS=${NUMJOBS:--j7}
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -39,8 +40,16 @@ if [ -z "$ARCH" ]; then
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -61,7 +70,6 @@ if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -88,7 +96,7 @@ cd build
-DCMAKE_INSTALL_PREFIX=/usr \
-DMAN_INSTALL_DIR=/usr/man \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- ..
+ .. || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
diff --git a/source/l/polkit-qt-1/slack-desc b/source/l/polkit-qt-1/slack-desc
index ed2cf40c1..92ecd543d 100644
--- a/source/l/polkit-qt-1/slack-desc
+++ b/source/l/polkit-qt-1/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
polkit-qt-1: polkit-qt-1 (Qt polkit API wrapper)
polkit-qt-1:
polkit-qt-1: polkit-qt-1 aims to make it easy for Qt developers to take advantage
-polkit-qt-1: of the polkit API. It is a convenience wrapper around QAction and
+polkit-qt-1: of the polkit API. It is a convenience wrapper around QAction and
polkit-qt-1: QAbstractButton that lets you integrate those two components
polkit-qt-1: easily with polkit.
polkit-qt-1: